"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
const batteryService = exports.batteryService = options => {
  const Characteristic = options.Characteristic,
        Service = options.Service;
  var _options$field = options.field;
  const field = _options$field === undefined ? "battery" : _options$field;
  var _options$notCharging = options.notCharging;
  const notCharging = _options$notCharging === undefined ? false : _options$notCharging;
  var _options$lowLevel = options.lowLevel;
  const lowLevel = _options$lowLevel === undefined ? 0.25 : _options$lowLevel;


  const service = {
    service: Service.BatteryService,
    supported: state => state[field] !== undefined && state[field] !== null,
    characteristics: [{
      characteristic: Characteristic.BatteryLevel,
      get: state => Math.floor(state[field] * 100)
    }, {
      characteristic: Characteristic.StatusLowBattery,
      get: state => {
        if (state[field] < lowLevel) return Characteristic.StatusLowBattery.BATTERY_LEVEL_LOW;
        return Characteristic.StatusLowBattery.BATTERY_LEVEL_NORMAL;
      }
    }]
  };

  if (notCharging) {
    service.characteristics.push({
      characteristic: Characteristic.ChargingState,
      value: Characteristic.ChargingState.NOT_CHARGING
    });
  }

  return service;
};
//# sourceMappingURL=_shared.js.map