"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _shared = require("./_shared");

exports.default = ({ Characteristic, Service }) => {
  return {
    type: "lock",
    group: "locks",
    services: [{
      service: Service.LockMechanism,
      characteristics: [{
        characteristic: Characteristic.LockCurrentState,
        get: state => {
          switch (state.locked) {
            case true:
              return Characteristic.LockCurrentState.SECURED;
            case false:
              return Characteristic.LockCurrentState.UNSECURED;
            default:
              return Characteristic.LockCurrentState.UNKNOWN;
          }
        }
      }, {
        characteristic: Characteristic.LockTargetState,
        get: (state, desired_state) => {
          switch (desired_state.locked) {
            case true:
              return Characteristic.LockCurrentState.SECURED;
            case false:
              return Characteristic.LockCurrentState.UNSECURED;
            default:
              return Characteristic.LockCurrentState.UNKNOWN;
          }
        },
        set: value => ({
          locked: value === true || value === Characteristic.LockTargetState.SECURED
        })
      }]
    }, (0, _shared.batteryService)({
      Characteristic,
      Service,
      notCharging: true
    })]
  };
};

module.exports = exports["default"];
//# sourceMappingURL=lock.js.map