"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _shared = require("./_shared");

exports.default = ({ Characteristic, Service }) => {
  return {
    type: "shade",
    group: "shades",
    services: [{
      service: Service.WindowCovering,
      characteristics: [{
        characteristic: Characteristic.TargetPosition,
        get: (state, desired_state) => desired_state.position * 100,
        set: value => ({ position: value / 100 })
      }, {
        characteristic: Characteristic.CurrentPosition,
        get: state => state.position * 100
      }, {
        characteristic: Characteristic.PositionState,
        value: Characteristic.PositionState.STOPPED
      }]
    }, (0, _shared.batteryService)({
      Characteristic,
      Service,
      notCharging: true
    })]
  };
};

module.exports = exports["default"];
//# sourceMappingURL=shade.js.map